System.ServiceModel 4.0.0.0 System.Enum To be added.

Specifies the authentication setting used for message exchange.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  The certificate of the responder is available out-of-band to the initiator.

  Specifies that the initiator is anonymous, and that the responder is authenticated.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is anonymous.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated by an X.509 version 3 certificate, and that the responder is authenticated by SSL over HTTPS.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator and responder are authenticated by XML symmetric key tokens.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated by an XML symmetric key token, and that the responder is authenticated by an X.509 version 3 certificate.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated by an XML symmetric key token, and that the responder is authenticated by the SOAP implementation of SSL.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated by an XML symmetric key token, and that the responder is authenticated by SSL over HTTPS.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator and responder are authenticated using the Kerberos protocol.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated using the Kerberos protocol, and the responder is authenticated by SSL over HTTPS.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator and responder are authenticated with X.509 version 3 certificates.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator and responder are authenticated with X.509 version 3 certificates.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator and responder mutually authenticate each other using X509 version 3 certificates, and the responder's certificate is available from the SOAP SSL negotiation.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that WS-SecureConversation authentication is used.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator and responder obtain a shared security context using the Security Service Provider Interface (SSPI).

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated by a security context using the Security Service Provider Interface (SSPI), and the responder is authenticated by SSL over HTTPS.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated using a username token, and the responder's certificate is available to the initiator out-of-band.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated using a username token, and that the responder is authenticated by the SOAP implementation of SSL.

- Field
  4.0.0.0
  System.ServiceModel.Configuration.AuthenticationMode

  Specifies that the initiator is authenticated using a username token, and that the responder is authenticated by SSL over HTTPS.